What system require for iPod Touch 4 th generation?

The following requirements must be fulfilled for iPod touch 4 th generation.

  • Need an Apple ID.
  • Internet for update software.
  • Mac requires(more): OS X v10.5.8 or later version.
  • PC requires(more): Windows 7; Windows Vista; or Windows XP Home or Professional with Service Pack 3 or later
  • iTunes 10.5 or later.

Leave a Reply